; ##############################################################################
; ##############################################################################
; ##############################################################################
; BEGRUNG																		
ANZEIGE_BEGRUESSUNG:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi ZH, high(TEXT_BEGRUESSUNG_1*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_1*2)
	rcall ANZEIGE_TEXT
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi ZH, high(TEXT_BEGRUESSUNG_2*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_2*2)
	rcall ANZEIGE_TEXT
	rcall wait_1s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_BEGRUESSUNG_2:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_TAKT_KURZ
	rcall wait_1s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_DCF_UHR:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_ZEIT_KURZ
	rcall ANZEIGE_DCF_GUELTIG_KURZ	
	rcall ANZEIGE_WOCHENTAG_KURZ
	rcall LCD_SPACE
	rcall ANZEIGE_MESZ_KURZ
;-------------------------------------------------------------------------------
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_DATUM_KURZ
	rcall LCD_SPACE
	; DCF gltig ?	
	LDS temp,(adr_DCF_GUELTIG)
	tst temp
	breq ANZEIGE_DCF_UHR_w
	ret	
ANZEIGE_DCF_UHR_w:
	; ERROR <> NULL ?
	LDS temp,(adr_DCF_ERROR_CODE)
	tst temp
	brne ANZEIGE_DCF_UHR_ww
	ret
ANZEIGE_DCF_UHR_ww:
	; Error 		
	ldi temp,'E'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_ERROR_CODE)
	rcall ANZEIGE_3_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_WARTUNG:
	; ZEILE1			
	rcall LCD_CLEAR
	; SEKUNDEN			
	ldi temp,'s'
	rcall LCD_DATA
	LDS temp1,(adr_ss)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	; DCF gltig		
	rcall ANZEIGE_DCF_GUELTIG_KURZ
	; DCF-ZEIGER		
	ldi temp,'Z'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_ZEIGER)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; DCF PHASE			
	rcall ANZEIGE_PHASE_KURZ
	rcall LCD_SPACE
	; TIMER				
	ldi temp,'T'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_PHASE_TIMER)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
;-------------------------------------------------------------------------------
	; ZEILE2	
	rcall LCD_ZEILE2
	; ERORR-CODE	
	ldi temp,'E'
	rcall LCD_DATA
	LDS temp1, (adr_DCF_ERROR_CODE)
	rcall ANZEIGE_3_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; DCF-BIT		
	ldi temp,'B'
	rcall LCD_DATA
	LDS temp1,(adr_DCF_BIT)
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; KALENDERTAG	
	ldi temp,'d'
	rcall LCD_DATA
	LDS temp1, (adr_KALENDERTAG_L)
	LDS temp2, (adr_KALENDERTAG_H)
	rcall ANZEIGE_3_STELLEN_HEX_ASC_TEMP1_TEMP2
	rcall LCD_SPACE
	rcall LCD_SPACE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_KONFIGURATION:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi ZH, high(TEXT_KONFIGURATION*2)	; TEXT 
	ldi ZL,  low(TEXT_KONFIGURATION*2)
	rcall ANZEIGE_TEXT
	; ZEILE2			
	rcall LCD_ZEILE2
	; INVERTIERMODUS	
	ldi temp,'I'
	rcall LCD_DATA
	ldi temp,'N'
	rcall LCD_DATA
	ldi temp,'V'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	LDS temp1,(adr_DCF_PIN_INVERTIERMODUS)
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE



	; Programm-Voreinstellung
	ldi temp,'('
	rcall LCD_DATA
	ldi temp1,(DCF_EINGANG_VOREINSTELLUNG_INVERTIEREN)
	rcall ANZEIGE_3_STELLEN_HEX_ASC_TEMP1
	ldi temp,')'
	rcall LCD_DATA

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TEXT_SAVE:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp,'S'
	rcall LCD_DATA
	ldi temp,'a'
	rcall LCD_DATA
	ldi temp,'v'
	rcall LCD_DATA
	ldi temp,'e'
	rcall LCD_DATA
	rcall wait_1s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TEXT_WAIT:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp,'w'
	rcall LCD_DATA
	ldi temp,'a'
	rcall LCD_DATA
	ldi temp,'i'
	rcall LCD_DATA
	ldi temp,'t'
	rcall LCD_DATA
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_QUARZ_DCF_ZEIT:
	LDS temp1,(adr_hh)	
	LDS temp2,(adr_mm)
	LDS temp3,(adr_ss)
	LDS temp4,(adr_ss100)
	STS(adr_ZWISCHENERGEBNIS_A1),temp1
	STS(adr_ZWISCHENERGEBNIS_A2),temp2
	STS(adr_ZWISCHENERGEBNIS_A3),temp3
	STS(adr_ZWISCHENERGEBNIS_A4),temp4
	LDS temp1,(adr_QUARZ_hh)	
	LDS temp2,(adr_QUARZ_mm)
	LDS temp3,(adr_QUARZ_ss)
	LDS temp4,(adr_QUARZ_ss100)
	STS(adr_ZWISCHENERGEBNIS_B1),temp1
	STS(adr_ZWISCHENERGEBNIS_B2),temp2
	STS(adr_ZWISCHENERGEBNIS_B3),temp3
	STS(adr_ZWISCHENERGEBNIS_B4),temp4


	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp, 'D'		; 
	rcall LCD_DATA
	ldi temp, 'C'		; 
	rcall LCD_DATA
	ldi temp, 'F'		; 
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	rcall LCD_SPACE

	; hh		
	LDS temp1,(adr_ZWISCHENERGEBNIS_A1)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	; mm		
	LDS temp1,(adr_ZWISCHENERGEBNIS_A2)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
	rcall LCD_DOPPEL_PUNKT
	; ss		
	LDS temp1,(adr_ZWISCHENERGEBNIS_A3)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_PUNKT
	; ss100		
	LDS temp1,(adr_ZWISCHENERGEBNIS_A4)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
;-------------------------------------------------------------------------------
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi temp, 'Q'		; 
	rcall LCD_DATA
	ldi temp, 'U'		; 
	rcall LCD_DATA
	ldi temp, 'R'		; 
	rcall LCD_DATA
	ldi temp, 'Z'		; 
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT

	; hh		
	LDS temp1,(adr_ZWISCHENERGEBNIS_B1)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	; mm		
	LDS temp1,(adr_ZWISCHENERGEBNIS_B2)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
	rcall LCD_DOPPEL_PUNKT
	; ss		
	LDS temp1,(adr_ZWISCHENERGEBNIS_B3)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_PUNKT
	; ss100		
	LDS temp1,(adr_ZWISCHENERGEBNIS_B4)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_50HZ_DCF_ZEIT:
	LDS temp1,(adr_hh)	
	LDS temp2,(adr_mm)
	LDS temp3,(adr_ss)
	LDS temp4,(adr_ss100)
	STS(adr_ZWISCHENERGEBNIS_A1),temp1
	STS(adr_ZWISCHENERGEBNIS_A2),temp2
	STS(adr_ZWISCHENERGEBNIS_A3),temp3
	STS(adr_ZWISCHENERGEBNIS_A4),temp4
	LDS temp1,(adr_50HZ_hh)	
	LDS temp2,(adr_50HZ_mm)
	LDS temp3,(adr_50HZ_ss)
	LDS temp4,(adr_50HZ_ss100)
	STS(adr_ZWISCHENERGEBNIS_B1),temp1
	STS(adr_ZWISCHENERGEBNIS_B2),temp2
	STS(adr_ZWISCHENERGEBNIS_B3),temp3
	STS(adr_ZWISCHENERGEBNIS_B4),temp4


	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp, 'D'		; 
	rcall LCD_DATA
	ldi temp, 'C'		; 
	rcall LCD_DATA
	ldi temp, 'F'		; 
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	rcall LCD_SPACE

	; hh		
	LDS temp1,(adr_ZWISCHENERGEBNIS_A1)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	; mm		
	LDS temp1,(adr_ZWISCHENERGEBNIS_A2)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
	rcall LCD_DOPPEL_PUNKT
	; ss		
	LDS temp1,(adr_ZWISCHENERGEBNIS_A3)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_PUNKT
	; ss100		
	LDS temp1,(adr_ZWISCHENERGEBNIS_A4)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
;-------------------------------------------------------------------------------


	; ZEILE2	
	rcall LCD_ZEILE2
	ldi temp, '5'		; 
	rcall LCD_DATA
	ldi temp, '0'		; 
	rcall LCD_DATA
	ldi temp, 'H'		; 
	rcall LCD_DATA
	ldi temp, 'z'		; 
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT

	; hh		
	LDS temp1,(adr_ZWISCHENERGEBNIS_B1)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	; mm		
	LDS temp1,(adr_ZWISCHENERGEBNIS_B2)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
	rcall LCD_DOPPEL_PUNKT
	; ss		
	LDS temp1,(adr_ZWISCHENERGEBNIS_B3)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_PUNKT
	; ss100		
	LDS temp1,(adr_ZWISCHENERGEBNIS_B4)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_WARTUNG_SRAM:
	; ZEILE1			
	rcall LCD_CLEAR
	ldi temp,'S'
	rcall LCD_DATA
	ldi temp,'R'
	rcall LCD_DATA
	ldi temp,'A'
	rcall LCD_DATA
	ldi temp,'M'
	rcall LCD_DATA
	; ZEILE2	
	rcall LCD_ZEILE2
	LDS temp1,(adr_DCF_BEREICH+50) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+51) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+52) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+53) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+54) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+55) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+56) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+57) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	LDS temp1,(adr_DCF_BEREICH+58) 
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_DCF_ONLINE_OFFLINE:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_DCF_ONLINE_KURZ
;-------------------------------------------------------------------------------
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_DCF_OFFLINE_KURZ

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_SONNE:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp, 'A'		; 
	rcall LCD_DATA
	ldi temp, 'U'		; 
	rcall LCD_DATA
	ldi temp, 'F'		; 
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	; hh		
	LDS temp1,(adr_SONNE_AUFGANG_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	; mm		
	LDS temp1,(adr_SONNE_AUFGANG_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi temp, 'U'		; 
	rcall LCD_DATA
	ldi temp, 'N'		; 
	rcall LCD_DATA
	ldi temp, 'T'		; 
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	; hh		
	LDS temp1,(adr_SONNE_UNTERGANG_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT
	; mm		
	LDS temp1,(adr_SONNE_UNTERGANG_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_BETRIEBSSTUNDEN:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi ZH, high(TEXT_BETRIEBSSTUNDEN*2)	; TEXT 
	ldi ZL,  low(TEXT_BETRIEBSSTUNDEN*2)
	rcall ANZEIGE_TEXT
	; ZEILE2	
	rcall LCD_ZEILE2
	; TAG		
	LDS temp1,(adr_BS_TAG_L)
	LDS temp2,(adr_BS_TAG_H)
	rcall ANZEIGE_5_STELLEN_HEX_ASC_TEMP1_TEMP2		
	rcall LCD_DOPPEL_PUNKT
	; hh		
	LDS temp1,(adr_BS_hh)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1
	rcall LCD_DOPPEL_PUNKT

	; mm		
	LDS temp1,(adr_BS_mm)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
	rcall LCD_DOPPEL_PUNKT
	; ss		
	LDS temp1,(adr_BS_ss)
	rcall ANZEIGE_2_STELLEN_HEX_ASC_TEMP1	
ret
